## libitpp 4.3.1

=== CMakeLists.txt ===
#
# \file CMakeLists.txt
# \brief main cmake configuration file
# \author Bogdan Cristea
#
# -------------------------------------------------------------------------
#
# Copyright (C) 1995-2012  (see AUTHORS file for a list of contributors)
#
# This file is part of IT++ - a C++ library of mathematical, signal
# processing, speech processing, and communications classes and functions.
#
# IT++ is free software: you can redistribute it and/or modify it under the
# terms of the GNU General Public License as published by the Free Software
# Foundation, either version 3 of the License, or (at your option) any
# later version.
#
# IT++ is distributed in the hope that it will be useful, but WITHOUT ANY
# WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
# FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
# details.
#
# You should have received a copy of the GNU General Public License along
# with IT++.  If not, see <http://www.gnu.org/licenses/>.
#
# -------------------------------------------------------------------------

cmake_minimum_required ( VERSION 2.8.6 )

set ( CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake/Modules/ ${CMAKE_MODULE_PATH} )

project(ITPP)

#check for BLAS library
find_package ( BLAS )
if (BLAS_FOUND)
  if (BLA_VENDOR MATCHES "^ACML")
    set (HAVE_ACML 1)#TODO: for Windows only
    set (HAVE_BLAS_ACML 1)
    set (HAVE_BLAS 1)
  elseif (BLA_VENDOR MATCHES "^Intel")
    set (HAVE_MKL 1)#TODO: for Windows only
    set (HAVE_BLAS_MKL 1)
    set (HAVE_BLAS 1)
  elseif (BLA_VENDOR MATCHES "^ATLAS")
    set (HAVE_BLAS_ATLAS 1)
    set (HAVE_BLAS 1)
  elseif( (BLA_VENDOR STREQUAL "Generic") OR (BLA_VENDOR STREQUAL "All") )
    set (HAVE_BLAS 1)
  else()
    message (WARNING "Unknown BLAS vendor: ${BLA_VENDOR}")
    set(BLAS_FOUND FALSE)
  endif()
endif(BLAS_FOUND)

#check for LAPACK library
find_package ( LAPACK )
if (LAPACK_FOUND)
  if ((BLA_VENDOR MATCHES "^ACML") OR (BLA_VENDOR MATCHES "^Intel") OR (BLA_VENDOR MATCHES "^ATLAS") OR ( BLA_VENDOR STREQUAL "Generic" ) OR (BLA_VENDOR STREQUAL "All"))
    set (HAVE_LAPACK 1)
  else()
    message (WARNING "Unknown LAPACK vendor: ${BLA_VENDOR}")
    set(LAPACK_FOUND FALSE)
  endif()
endif(LAPACK_FOUND)

#check for FFT library
find_package ( FFT )
if (FFT_FOUND)
  if (FFT_VENDOR MATCHES "^ACML")
    set (HAVE_FFT_ACML 1)
    set (HAVE_FFT 1)
  elseif (FFT_VENDOR MATCHES "^Intel")
    set (HAVE_FFT_MKL 1)
    set (HAVE_FFT 1)
  elseif (FFT_VENDOR MATCHES "^FFTW3")
    set (HAVE_FFTW3 1)
    set (HAVE_FFT 1)
  else()
    message (WARNING "Unknown FFT vendor: ${FFT_VENDOR}")
    set(FFT_FOUND FALSE)
  endif()
endif(FFT_FOUND)

#check for OpenMP support
find_package ( OpenMP )
if (OPENMP_FOUND)
  set (CMAKE_CXX_FLAGS "${OpenMP_CXX_FLAGS} ${CMAKE_CXX_FLAGS}")
  if (MINGW)
    set (CMAKE_SHARED_LINKER_FLAGS "${OpenMP_CXX_FLAGS} ${CMAKE_SHARED_LINKER_FLAGS}")
  endif()
endif()

#check for Doxygen and LaTeX
find_package ( Doxygen )
find_package ( LATEX )

#check for header files
include ( CheckIncludeFile )
include ( CheckIncludeFiles )
CHECK_INCLUDE_FILES ( "sys/time.h;time.h" TIME_WITH_SYS_TIME )
CHECK_INCLUDE_FILE ( "dlfcn.h" HAVE_DLFCN_H )
CHECK_INCLUDE_FILE ( "ieeefp.h" HAVE_IEEEFP_H )
CHECK_INCLUDE_FILE ( "inttypes.h" HAVE_INTTYPES_H )
CHECK_INCLUDE_FILE ( "memory.h" HAVE_MEMORY_H )
CHECK_INCLUDE_FILE ( "stdint.h" HAVE_STDINT_H )
CHECK_INCLUDE_FILE ( "stdlib.h" HAVE_STDLIB_H )
CHECK_INCLUDE_FILE ( "strings.h" HAVE_STRINGS_H )
CHECK_INCLUDE_FILE ( "string.h" HAVE_STRING_H )
CHECK_INCLUDE_FILE ( "sys/stat.h" HAVE_SYS_STAT_H )
CHECK_INCLUDE_FILE ( "sys/types.h" HAVE_SYS_TYPES_H )
CHECK_INCLUDE_FILE ( "unistd.h" HAVE_UNISTD_H )
include ( CheckIncludeFileCXX )
CHECK_INCLUDE_FILE_CXX ( "cmath" HAVE_CMATH )
CHECK_INCLUDE_FILE_CXX ( "complex" HAVE_COMPLEX )

#check for symbols
include (CheckCXXSymbolExists)
CHECK_CXX_SYMBOL_EXISTS ( isfinite "cmath" HAVE_DECL_ISFINITE )
CHECK_CXX_SYMBOL_EXISTS ( isinf "cmath" HAVE_DECL_ISINF )
CHECK_CXX_SYMBOL_EXISTS ( isnan "cmath" HAVE_DECL_ISNAN )
CHECK_CXX_SYMBOL_EXISTS ( signgam "cmath" HAVE_DECL_SIGNGAM )

#check for functions
set(CMAKE_REQUIRED_LIBRARIES m)
include (CheckFunctionExists)
CHECK_FUNCTION_EXISTS ( acosh HAVE_ACOSH )
CHECK_FUNCTION_EXISTS ( asinh HAVE_ASINH )
CHECK_FUNCTION_EXISTS ( atanh HAVE_ATANH )
CHECK_FUNCTION_EXISTS ( cbrt HAVE_CBRT )
CHECK_FUNCTION_EXISTS ( erf HAVE_ERF )
CHECK_FUNCTION_EXISTS ( erfc HAVE_ERFC )
CHECK_FUNCTION_EXISTS ( expm1 HAVE_EXPM1 )
CHECK_FUNCTION_EXISTS ( finite HAVE_FPCLASS )
CHECK_FUNCTION_EXISTS ( fpclass HAVE_FPCLASS )
CHECK_FUNCTION_EXISTS ( isfinite HAVE_ISFINITE )
CHECK_FUNCTION_EXISTS ( isinf HAVE_ISINF )
CHECK_FUNCTION_EXISTS ( isnan HAVE_ISNAN )
CHECK_FUNCTION_EXISTS ( lgamma HAVE_LGAMMA )
CHECK_FUNCTION_EXISTS ( log1p HAVE_LOG1P )
CHECK_FUNCTION_EXISTS ( log2 HAVE_LOG2 )
CHECK_FUNCTION_EXISTS ( rint HAVE_RINT )
CHECK_FUNCTION_EXISTS ( tgamma HAVE_TGAMMA )
include (CheckCXXFunctionExists)
CHECK_CXX_FUNCTION_EXISTS ( std::isfinite HAVE_STD_ISFINITE )
CHECK_CXX_FUNCTION_EXISTS ( std::isinf HAVE_STD_ISINF )
CHECK_CXX_FUNCTION_EXISTS ( std::isnan HAVE_STD_ISNAN )

#package related variables
set (PACKAGE "itpp")
set (PACKAGE_BUGREPORT "http://sourceforge.net/projects/itpp/forums/forum/115656")
set (PACKAGE_NAME "IT++")
set (PACKAGE_VERSION "4.3.1")
set (PACKAGE_STRING "${PACKAGE_NAME} ${PACKAGE_VERSION}")
set (PACKAGE_TARNAME ${PACKAGE})
set (PACKAGE_URL "")
if (UNIX)
  EXECUTE_PROCESS(COMMAND "date" "+%d/%m/%Y" OUTPUT_VARIABLE PACKAGE_DATE)
  string(REGEX REPLACE "(..)/(..)/..(..).*" "\\1/\\2/\\3" PACKAGE_DATE "${PACKAGE_DATE}")
else()
  set(PACKAGE_DATE "")
endif()

if (WIN32 AND NOT MINGW)
  #TODO: remove this from future versions
  CONFIGURE_FILE ( ${CMAKE_SOURCE_DIR}/itpp/config.h.cmake ${CMAKE_BINARY_DIR}/itpp/config_msvc.h )
else()
  CONFIGURE_FILE ( ${CMAKE_SOURCE_DIR}/itpp/config.h.cmake ${CMAKE_BINARY_DIR}/itpp/config.h )
endif()

#set library type: shared or static
option(ITPP_SHARED_LIB "Building IT++ as shared library" on)
#set library name here to be available for all targets
if (ITPP_SHARED_LIB)
  if ((CMAKE_BUILD_TYPE STREQUAL Release) OR (NOT CMAKE_BUILD_TYPE))
    set (libitpp_target itpp)
    set (CMAKE_CXX_FLAGS "-DNDEBUG ${CMAKE_CXX_FLAGS}")
  else()
    set (libitpp_target itpp_debug)
  endif()
else()
  set (libitpp_target itpp_static)
endif()
CONFIGURE_FILE (${CMAKE_SOURCE_DIR}/itpp/itexports.h.cmake ${CMAKE_BINARY_DIR}/itpp/itexports.h)

#build HTML docs
option(HTML_DOCS "Building HTML documentation with Doxygen if available" on)

#display summary
set(DISP_GENERIC_WARNING FALSE)
if (NOT BLAS_FOUND)
  message(WARNING "BLAS library not found.")
  set(DISP_GENERIC_WARNING TRUE)
endif()
if (NOT LAPACK_FOUND)
  message(WARNING "LAPACK library not found.")
  set(DISP_GENERIC_WARNING TRUE)
endif()
if (NOT FFT_FOUND)
  message(WARNING "FFT library not found.")
  set(DISP_GENERIC_WARNING TRUE)
endif()
if (DISP_GENERIC_WARNING)
  message(WARNING "You can still compile IT++ but the functionality will be reduced.")
else()
  message(STATUS "BLAS vendor: ${BLA_VENDOR}")
endif()

#set external link libraries
set(ITPP_LIBS "")
if (BLAS_LIBRARIES)
  set(ITPP_LIBS ${BLAS_LIBRARIES} ${ITPP_LIBS})
endif()
if (LAPACK_LIBRARIES)
  set(ITPP_LIBS ${LAPACK_LIBRARIES} ${ITPP_LIBS})
endif()
if (FFT_LIBRARIES)
  set(ITPP_LIBS ${FFT_LIBRARIES} ${ITPP_LIBS})
endif()

#add it++ sources
add_subdirectory ( itpp )

#add unit tests
option(OLD_TESTS "Building old unit tests (no longer maintained). Use extras/check_tests.py script to run the tests." off)
if (OLD_TESTS)
  add_subdirectory ( tests )
endif()
if (GTEST_DIR)
  add_subdirectory (gtests)
endif()

=== gtests/CMakeLists.txt ===
#
# \file CMakeLists.txt
# \brief cmake configuration file for gtests
# \author Bogdan Cristea
#
# -------------------------------------------------------------------------
#
# Copyright (C) 1995-2012  (see AUTHORS file for a list of contributors)
#
# This file is part of IT++ - a C++ library of mathematical, signal
# processing, speech processing, and communications classes and functions.
#
# IT++ is free software: you can redistribute it and/or modify it under the
# terms of the GNU General Public License as published by the Free Software
# Foundation, either version 3 of the License, or (at your option) any
# later version.
#
# IT++ is distributed in the hope that it will be useful, but WITHOUT ANY
# WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
# FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
# details.
#
# You should have received a copy of the GNU General Public License along
# with IT++.  If not, see <http://www.gnu.org/licenses/>.
#
# -------------------------------------------------------------------------

file ( GLOB ITPP_TEST_SRCS *.cpp )

include_directories ( ${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR} ${GTEST_DIR} ${GTEST_DIR}/include )

add_executable ( itpp_gtests ${ITPP_TEST_SRCS} ${GTEST_DIR}/src/gtest-all.cc ${GTEST_DIR}/src/gtest_main.cc )
foreach (FILE ${ITPP_TEST_SRCS})
  get_filename_component ( target ${FILE} NAME_WE )
  if (target MATCHES "^fastica")
    set_source_files_properties(${target} PROPERTIES COMPILE_FLAGS -DFASTICA_TEST_FILE=\\""${CMAKE_CURRENT_SOURCE_DIR}"/fastica_test_data.txt\\")
  endif()
  if (target MATCHES "^parser")
    set_source_files_properties(${target} PROPERTIES COMPILE_FLAGS -DPARSER_TEST_FILE=\\""${CMAKE_CURRENT_SOURCE_DIR}"/parser_test_data.txt\\")
  endif()
  if (target MATCHES "^itfile")
    set_source_files_properties(${target} PROPERTIES COMPILE_FLAGS -DITFILE_TEST_FILE=\\""${CMAKE_CURRENT_SOURCE_DIR}"/itfile_test_data.it\\")
  endif()
  if (target MATCHES "^g711")
    set_source_files_properties(${target} PROPERTIES COMPILE_FLAGS -DG711_TEST_FILE=\\""${CMAKE_CURRENT_SOURCE_DIR}"/g711_ref_data.it\\")
  endif()
  if (target MATCHES "^audiofile")
    set_source_files_properties(${target} PROPERTIES COMPILE_FLAGS -DAUDIOFILE_REF_FILE=\\""${CMAKE_CURRENT_SOURCE_DIR}"/audiofile_ref_data.au\\")
  endif()

endforeach (FILE)

if (NOT WIN32)
  target_link_libraries ( itpp_gtests ${ITPP_LIBS} ${libitpp_target} pthread )
else()
  target_link_libraries ( itpp_gtests ${ITPP_LIBS} ${libitpp_target} )
endif()

=== itpp/CMakeLists.txt ===
#
# \file CMakeLists.txt
# \brief cmake configuration file for generating IT++ library
# \author Bogdan Cristea
#
# -------------------------------------------------------------------------
#
# Copyright (C) 1995-2012  (see AUTHORS file for a list of contributors)
#
# This file is part of IT++ - a C++ library of mathematical, signal
# processing, speech processing, and communications classes and functions.
#
# IT++ is free software: you can redistribute it and/or modify it under the
# terms of the GNU General Public License as published by the Free Software
# Foundation, either version 3 of the License, or (at your option) any
# later version.
#
# IT++ is distributed in the hope that it will be useful, but WITHOUT ANY
# WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
# FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
# details.
#
# You should have received a copy of the GNU General Public License along
# with IT++.  If not, see <http://www.gnu.org/licenses/>.
#
# -------------------------------------------------------------------------

file ( GLOB ITPP_SRCS
       "base/*.cpp"
       "base/algebra/*.cpp"
       "base/bessel/*.cpp"
       "base/math/*.cpp"
       "comm/*.cpp" 
       "fixed/*.cpp"
       "optim/*.cpp"
       "protocol/*.cpp"
       "signal/*.cpp"
       "srccode/*.cpp"
       "stat/*.cpp" )

include_directories ( ${CMAKE_BINARY_DIR}
                      ${CMAKE_SOURCE_DIR}
                      ${BLAS_INCLUDES}
                      ${LAPACK_INCLUDES}
                      ${FFT_INCLUDES}
                    )

if (ITPP_SHARED_LIB)
  add_library (${libitpp_target} SHARED ${ITPP_SRCS})
else()
  add_library (${libitpp_target} STATIC ${ITPP_SRCS})
endif()

#remove duplicates in external libraries list
if (ITPP_LIBS)
  list(REMOVE_DUPLICATES ITPP_LIBS)
endif()

target_link_libraries (${libitpp_target} ${ITPP_LIBS})

set(LIBITPP_VERSION_MAJOR 8)
set(LIBITPP_VERSION_MINOR 2)
set(LIBITPP_VERSION_PATCH 1)
set(LIBITPP_VERSION_STRING ${LIBITPP_VERSION_MAJOR}.${LIBITPP_VERSION_MINOR}.${LIBITPP_VERSION_PATCH})

set_target_properties(${libitpp_target} PROPERTIES VERSION ${LIBITPP_VERSION_STRING}
                                                   SOVERSION ${LIBITPP_VERSION_MAJOR})

#library
install(TARGETS ${libitpp_target}
        RUNTIME DESTINATION bin
        LIBRARY DESTINATION lib
        ARCHIVE DESTINATION lib)

#headers
install(DIRECTORY ${CMAKE_SOURCE_DIR}/itpp DESTINATION include FILES_MATCHING PATTERN "*.h")
if (WIN32 AND NOT MINGW)
  install(FILES ${CMAKE_BINARY_DIR}/itpp/config_msvc.h DESTINATION include/itpp)
else()
  install(FILES ${CMAKE_BINARY_DIR}/itpp/config.h DESTINATION include/itpp)
endif()
install(FILES ${CMAKE_BINARY_DIR}/itpp/itexports.h DESTINATION include/itpp)

#extra files (MATLAB and python)
install(FILES ${CMAKE_SOURCE_DIR}/extras/itsave.m
              ${CMAKE_SOURCE_DIR}/extras/itload.m
              ${CMAKE_SOURCE_DIR}/extras/pyitpp.py
        DESTINATION share/itpp)

#html help
if (HTML_DOCS AND DOXYGEN_FOUND)
  configure_file(${CMAKE_SOURCE_DIR}/doc/doxygen_html.cfg.cmake.in ${CMAKE_BINARY_DIR}/Doxyfile @ONLY)
  configure_file(${CMAKE_SOURCE_DIR}/doc/local/index.doc.in ${CMAKE_BINARY_DIR}/doc/local/index.doc @ONLY)
  #make sure that this target is executed last
  add_custom_target(itpp_doc ALL
    ${DOXYGEN_EXECUTABLE} ${CMAKE_BINARY_DIR}/Doxyfile
    WORKING_DIRECTORY ${CMAKE_BINARY_DIR}
    COMMENT "Generating API documentation with Doxygen" VERBATIM)
  file(COPY ${CMAKE_SOURCE_DIR}/doc/images/itpp_logo.png DESTINATION ${CMAKE_BINARY_DIR}/html)
  install(DIRECTORY ${CMAKE_BINARY_DIR}/html DESTINATION share/doc/itpp)
endif()

#itpp-config script for UNIX-like systems
if (UNIX)
  if (ITPP_LIBS)
    string (REPLACE ";" " " ITPP_LIBS "${ITPP_LIBS}")
  endif()
  configure_file(${CMAKE_SOURCE_DIR}/itpp-config.cmake.in ${CMAKE_BINARY_DIR}/itpp-config @ONLY)
  configure_file(${CMAKE_SOURCE_DIR}/itpp-config.1.cmake.in ${CMAKE_BINARY_DIR}/itpp-config.1 @ONLY)
  configure_file(${CMAKE_SOURCE_DIR}/itpp.pc.cmake.in ${CMAKE_BINARY_DIR}/itpp.pc @ONLY)
  install(FILES ${CMAKE_BINARY_DIR}/itpp-config DESTINATION bin PERMISSIONS OWNER_READ OWNER_EXECUTE
    GROUP_READ GROUP_EXECUTE WORLD_READ WORLD_EXECUTE)
  install(FILES ${CMAKE_BINARY_DIR}/itpp-config.1 DESTINATION share/man/man1)
  install(FILES ${CMAKE_BINARY_DIR}/itpp.pc DESTINATION lib/pkgconfig)
endif()

=== tests/CMakeLists.txt ===
#
# \file CMakeLists.txt
# \brief cmake configuration file for old unit tests
# \author Bogdan Cristea
#
# -------------------------------------------------------------------------
#
# Copyright (C) 1995-2012  (see AUTHORS file for a list of contributors)
#
# This file is part of IT++ - a C++ library of mathematical, signal
# processing, speech processing, and communications classes and functions.
#
# IT++ is free software: you can redistribute it and/or modify it under the
# terms of the GNU General Public License as published by the Free Software
# Foundation, either version 3 of the License, or (at your option) any
# later version.
#
# IT++ is distributed in the hope that it will be useful, but WITHOUT ANY
# WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
# FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
# details.
#
# You should have received a copy of the GNU General Public License along
# with IT++.  If not, see <http://www.gnu.org/licenses/>.
#
# -------------------------------------------------------------------------

file ( GLOB ITPP_TEST_SRCS *.cpp )

include_directories ( ${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR} )

foreach (FILE ${ITPP_TEST_SRCS})
	get_filename_component ( target ${FILE} NAME_WE )
	add_executable ( ${target} ${FILE} )
  if (target MATCHES "^fastica")
    set_target_properties(${target} PROPERTIES COMPILE_FLAGS -DFASTICA_TEST_FILE=\\""${CMAKE_CURRENT_SOURCE_DIR}"/fastica_test_data.txt\\")
  endif()
  if (target MATCHES "^parser")
    set_target_properties(${target} PROPERTIES COMPILE_FLAGS -DPARSER_TEST_FILE=\\""${CMAKE_CURRENT_SOURCE_DIR}"/parser_test_data.txt\\")
  endif()
  if (target MATCHES "^itfile")
    set_target_properties(${target} PROPERTIES COMPILE_FLAGS -DITFILE_TEST_FILE=\\""${CMAKE_CURRENT_SOURCE_DIR}"/itfile_test_data.it\\")
  endif()
  target_link_libraries ( ${target} ${ITPP_LIBS} ${libitpp_target} )
endforeach (FILE)

=== doc/tutorial/src/CMakeLists.txt ===
#
# \file CMakeLists.txt
# \brief cmake configuration file for tutorial examples
# \author Bogdan Cristea
#
# -------------------------------------------------------------------------
#
# Copyright (C) 1995-2012  (see AUTHORS file for a list of contributors)
#
# This file is part of IT++ - a C++ library of mathematical, signal
# processing, speech processing, and communications classes and functions.
#
# IT++ is free software: you can redistribute it and/or modify it under the
# terms of the GNU General Public License as published by the Free Software
# Foundation, either version 3 of the License, or (at your option) any
# later version.
#
# IT++ is distributed in the hope that it will be useful, but WITHOUT ANY
# WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
# FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
# details.
#
# You should have received a copy of the GNU General Public License along
# with IT++.  If not, see <http://www.gnu.org/licenses/>.
#
# -------------------------------------------------------------------------

file ( GLOB ITPP_EXAMPLES_SRCS *.cpp )

include_directories ( ${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR} )

foreach (FILE ${ITPP_EXAMPLES_SRCS})
	get_filename_component ( target ${FILE} NAME_WE )
	add_executable ( ${target} ${FILE} )
  target_link_libraries ( ${target} ${ITPP_LIBS} ${libitpp_target} )
endforeach (FILE)

## libitpp 4.0.7

=== debian/changelog ===
libitpp (4.0.7-1) unstable; urgency=low

  * debian/watch: Update for new home page.
  * debian/patches: Removed, since patches included upstream.
  * debian/control:
    + Add ${misc:Depends} to binary packages.
    + Remove quilt dependency.

 -- Kumar Appaiah <akumar@debian.org>  Wed, 20 Jan 2010 16:06:19 -0600

libitpp (4.0.6-4) unstable; urgency=low

  * Use Nobuhiro Iwamatsu's patch 02_sh4_support.diff to support building
    on Renesas SH(sh4) CPUs. (Closes: #554380)
  * Standards Version is now 3.8.3 (No changes needed).
  * Patch system documentation (README.source) added.
  * debian/source/format: Use 3.0 (quilt)

 -- Kumar Appaiah <akumar@debian.org>  Wed, 04 Nov 2009 21:46:41 -0600

libitpp (4.0.6-3) unstable; urgency=low

  * Fix for building with gcc 4.4.
    + Patch from Martin Michlmayr in debian/patches.
      (Closes: #505350).
    + Depend on quilt.

 -- Kumar Appaiah <akumar@debian.org>  Sun, 26 Apr 2009 17:38:37 -0500

libitpp (4.0.6-2) unstable; urgency=low

  * Upload to unstable.

 -- Kumar Appaiah <akumar@debian.org>  Sun, 15 Feb 2009 08:59:13 -0600

libitpp (4.0.6-1) experimental; urgency=low

  * New upstream release.

 -- Kumar Appaiah <akumar@debian.org>  Wed, 08 Oct 2008 13:12:39 -0500

libitpp (4.0.5-1) experimental; urgency=low

  * New upstream release.
  * Update standards version to 3.8.0. (No changes needed)
  
 -- Kumar Appaiah <akumar@debian.org>  Sat, 16 Aug 2008 17:10:50 -0500

libitpp (4.0.4-2) unstable; urgency=low

  * debian/libitpp-doc.doc-base:
    + Move to section Science/Mathematics.
  * debian/control:
    + Update package description.
    + Use debian.org e-mail address.

 -- Kumar Appaiah <akumar@debian.org>  Sun, 20 Apr 2008 17:43:44 +0530

libitpp (4.0.4-1) unstable; urgency=low

  * New upstream release.
  * debian/patches:
    + gcc43_fix.diff removed, merged upstream.
  
 -- Kumar Appaiah <akumar@ee.iitm.ac.in>  Mon, 31 Mar 2008 17:00:06 +0530

libitpp (4.0.3-2) unstable; urgency=medium

  * debian/patches/gcc43_fix.diff:
    + Fix build problems with g++ 4.3, by explicitly using
      static_cast to convert non-double values in the
      std::complex constructor. (Closes: #471514)

 -- Kumar Appaiah <akumar@ee.iitm.ac.in>  Tue, 18 Mar 2008 23:25:27 +0530

libitpp (4.0.3-1) unstable; urgency=low

  * New upstream release.
    + zdotusub used to wrap all zdotu_ calls.
  * debian/patches:
    + Remove all patches.
  * debian/rules, debian/control:
    + quilt not used.

 -- Kumar Appaiah <akumar@ee.iitm.ac.in>  Thu, 21 Feb 2008 15:38:56 +0530

libitpp (4.0.2-2) unstable; urgency=low

  * debian/patches/zdotu_complex_detect.diff:
    This patch has been added to use double _Complex as the return type of
    zdotu_ to work around errors in assuming direct convertibility to
    std::complex<double> of the zdotu_ function's return value.
  * debian/control, debian/rules:
    + Use quilt for patch management.
  * debian/rules:
    + Separate architecture dependent and independent build rules.
  
 -- Kumar Appaiah <akumar@ee.iitm.ac.in>  Sun, 17 Feb 2008 14:48:04 +0530

libitpp (4.0.2-1) unstable; urgency=low

  * New upstream release.
  * Upload to unstable:
    + gfortran transition complete. (Closes: #466047)
  * debian/patches:
    + zdotu_fix.diff: Removed; merged upstream.
  * debian/control:
    + Don't build-depend on quilt: no longer needed.
    + Change Build-depends on doxygen to remove Debian revision.
  * debian/rules:
    + Don't use quilt.

 -- Kumar Appaiah <akumar@ee.iitm.ac.in>  Sat, 16 Feb 2008 13:29:40 +0530

libitpp (4.0.1-4) experimental; urgency=low

  * Updated for experimental.
  * debian/control:
    + Use newer Build-Depends on libblas-dev and liblapack-dev.
    + Build-Depend on gfortran.
  * debian/rules:
    + Use gfortran as the default Fortran compiler.
  * debian/rules:
    + Use --with-blas and --with-lapack to force use
      of reference BLAS and ATLAS.
  * debian/patches:
    + dontuse_lapack.diff is not needed because of
      configure options.
  
 -- Kumar Appaiah <akumar@ee.iitm.ac.in>  Mon, 31 Dec 2007 10:01:27 +0530

libitpp (4.0.1-3) unstable; urgency=low

  * debian/control:
    + Build-Depend on quilt.
    + Don't Build-Conflict on atlas3-base-dev.
  * debian/rules:
    + Use quilt for patches.
  * debian/patches:
    + Add zdotu_fix.diff to prevent incorrect calling
      zdotu conventions. Thanks to Adam Piatyszek
      for the patch.
    + dontuse_lapack.diff: prevent finding Atlas,
      as we don't want to Depend on it.
  
 -- Kumar Appaiah <akumar@ee.iitm.ac.in>  Fri, 21 Dec 2007 07:17:48 +0530

libitpp (4.0.1-2) unstable; urgency=low

  * debian/control:
    + Build-Depend on libfftw3-dev, in place of fftw3-dev.
    + Don't Build-Depend on autotools-dev.
    + Build-Conflict on atlas3-base-dev, as Atlas is not needed
      for the build.
  * debian/rules:
    + Fix to add cross build detection.

 -- Kumar Appaiah <akumar@ee.iitm.ac.in>  Thu, 20 Dec 2007 07:06:42 +0530

libitpp (4.0.1-1) unstable; urgency=low

  * New upstream release
    + Add #include statements for missing headers.
      (Closes: #455632)
  * debian/control:
    + Revert to older build dependencies for unstable.
    + Standards Version is now 3.7.3.
    + Add Vcs-Git and Vcs-Browser.
    + Fix spelling errors in the description for libitpp6.
  * debian/libitpp-doc.doc-base: Remove whitespace at end of file.
  
 -- Kumar Appaiah <akumar@ee.iitm.ac.in>  Sun, 16 Dec 2007 00:00:07 +0530

libitpp (4.0.0-4) experimental; urgency=low

  * Package for experimental for gfortran transition.
  * debian/control:
    + Build-Depend on the gfortran lapack, refblas
    + Change the binary package name to libitpp6gf.

 -- Kumar Appaiah <akumar@ee.iitm.ac.in>  Tue, 30 Oct 2007 13:15:34 +0530

libitpp (4.0.0-3) unstable; urgency=low

  * Fix watch file to handle upstream's "rc" naming.

 -- Kumar Appaiah <akumar@ee.iitm.ac.in>  Tue, 16 Oct 2007 08:02:06 +0530

libitpp (4.0.0-2) unstable; urgency=low



=== debian/control ===
Source: libitpp
Priority: optional
Maintainer: Kumar Appaiah <akumar@debian.org>
Standards-Version: 3.8.3
Build-Depends: debhelper (>= 5), doxygen (>= 1.5.1), libblas-dev, libfftw3-dev, texlive-latex-base, ghostscript, liblapack-dev, gfortran
Section: libs
Homepage: http://itpp.sourceforge.net
Vcs-Git: git://git.debian.org/git/collab-maint/libitpp.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/libitpp.git

Package: libitpp-dev
Section: libdevel
Architecture: any
Depends: libitpp6gf (= ${binary:Version}), ${misc:Depends}
Description: C++ library of signal processing and communication routines: Headers
 IT++ is a C++ library of mathematical, signal processing and
 communication classes and functions. Its main use is in simulation of
 communication systems and for performing research in the area of
 communications. The kernel of the library consists of generic vector
 and matrix classes, and a set of accompanying routines. Such a kernel
 makes IT++ similar to MATLAB or GNU Octave .
 .
 This package has the development libraries and headers for IT++.

Package: libitpp6gf
Section: libs
Architecture: any
Conflicts: libitpp6
Replaces: libitpp6
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: C++ library of signal processing and communication routines
 IT++ is a C++ library of mathematical, signal processing and
 communication classes and functions. Its main use is in simulation of
 communication systems and for performing research in the area of
 communications. The kernel of the library consists of generic vector
 and matrix classes, and a set of accompanying routines. Such a kernel
 makes IT++ similar to MATLAB or GNU Octave .

Package: libitpp6-dbg
Section: debug
Priority: extra
Architecture: any
Depends: libitpp6gf (= ${binary:Version}), ${misc:Depends}
Description: C++ library of signal processing and communication routines: Debug symbols
 IT++ is a C++ library of mathematical, signal processing and
 communication classes and functions. Its main use is in simulation of
 communication systems and for performing research in the area of
 communications. The kernel of the library consists of generic vector
 and matrix classes, and a set of accompanying routines. Such a kernel
 makes IT++ similar to MATLAB or GNU Octave .
 .
 This package has the debugging symbols for IT++ which may
 be useful while debugging IT++ based applications.

Package: libitpp-doc
Section: doc
Architecture: all
Recommends: dwww, www-browser
Depends: ${misc:Depends}
Description: C++ library of signal processing and communication routines: Documentation
 IT++ is a C++ library of mathematical, signal processing and
 communication classes and functions. Its main use is in simulation of
 communication systems and for performing research in the area of
 communications. The kernel of the library consists of generic vector
 and matrix classes, and a set of accompanying routines. Such a kernel
 makes IT++ similar to MATLAB or GNU Octave .
 .
 This package has the documentation for IT++.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

CXXFLAGS = -Wall -g -DNDEBUG -pipe

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CXXFLAGS += -O0
else
	CXXFLAGS += -O2
endif

ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
CROSS= --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
else
CROSS= --build $(DEB_BUILD_GNU_TYPE)
endif

config.status: configure
	dh_testdir
	./configure $(CROSS) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info CXXFLAGS="$(CXXFLAGS)" LDFLAGS="-Wl,-z,defs"

build: build-stamp

build-stamp: config.status
	dh_testdir
	$(MAKE)
	$(MAKE) check
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp config.log
	[ ! -f Makefile ] || $(MAKE) distclean
	rm -f config.status config.sub
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	$(MAKE) DESTDIR=$(CURDIR)/debian/tmp install

binary-indep: build install
	dh_testdir -i
	dh_testroot -i
	dh_installchangelogs -i ChangeLog
	dh_installdocs -i
	dh_install -i --sourcedir=debian/tmp
	dh_installman -i
	dh_link -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

binary-arch: build install
	dh_testdir -a
	dh_testroot -a
	dh_installchangelogs -a ChangeLog
	dh_installdocs -a
	dh_install -a --sourcedir=debian/tmp
	dh_installman -a
	dh_link -a
	dh_strip -a --dbg-package=libitpp6-dbg
	dh_compress -a
	dh_fixperms -a
	dh_makeshlibs -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep binary-arch

.PHONY: build clean binary-indep binary-arch binary install

=== debian/watch ===
version=3
opts="uversionmangle=s/-rc[0-9]+$//" \
http://sourceforge.net/apps/wordpress/itpp/ .*/itpp-([\d\.]+)\.tar\.gz

## libitpp 4.2

=== debian/changelog ===
libitpp (4.2-4) unstable; urgency=low

  * Build-Depend on doxygen-latex instead of texlive-*. (Closes: #616256)
  * Standards version is now 3.9.2 (no changes needed)
  * Update build rule to comply with lintian recommendations (provide
    build-arch and build-indep)

 -- Kumar Appaiah <akumar@debian.org>  Sat, 09 Jul 2011 09:42:32 -0500

libitpp (4.2-3) unstable; urgency=low

  * Avoid installing libitpp.la (Closes: #621673)

 -- Kumar Appaiah <akumar@debian.org>  Thu, 07 Apr 2011 19:01:38 -0500

libitpp (4.2-2) unstable; urgency=low

  * Upload to unstable

 -- Kumar Appaiah <akumar@debian.org>  Tue, 15 Feb 2011 22:37:22 -0600

libitpp (4.2-1) experimental; urgency=low

  * New upstream release.
  * Move dwww to suggests. (Closes: #570598).
  * Install Octave/Matlab file loading programs into /usr/share/itpp.
  * Standards version is now 3.9.1 (no changes needed)
  * Soname bump: new package: libitpp7. Remove old conflicts and replaces
    with libitpp6.
  * Update copyright

 -- Kumar Appaiah <akumar@debian.org>  Thu, 23 Sep 2010 23:34:25 -0500

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: libitpp
 Priority: optional
 Maintainer: Kumar Appaiah <akumar@debian.org>
-Standards-Version: 3.8.3
-Build-Depends: debhelper (>= 5), doxygen (>= 1.5.1), libblas-dev, libfftw3-dev, texlive-latex-base, ghostscript, liblapack-dev, gfortran
+Standards-Version: 3.9.2
+Build-Depends: debhelper (>= 5), doxygen (>= 1.5.1), libblas-dev, libfftw3-dev, doxygen-latex, ghostscript, liblapack-dev, gfortran
 Section: libs
 Homepage: http://itpp.sourceforge.net
 Vcs-Git: git://git.debian.org/git/collab-maint/libitpp.git
@@ -11,7 +11,7 @@
 Package: libitpp-dev
 Section: libdevel
 Architecture: any
-Depends: libitpp6gf (= ${binary:Version}), ${misc:Depends}
+Depends: libitpp7 (= ${binary:Version}), ${misc:Depends}
 Description: C++ library of signal processing and communication routines: Headers
  IT++ is a C++ library of mathematical, signal processing and
  communication classes and functions. Its main use is in simulation of
@@ -22,11 +22,9 @@
  .
  This package has the development libraries and headers for IT++.
 
-Package: libitpp6gf
+Package: libitpp7
 Section: libs
 Architecture: any
-Conflicts: libitpp6
-Replaces: libitpp6
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: C++ library of signal processing and communication routines
  IT++ is a C++ library of mathematical, signal processing and
@@ -36,11 +34,11 @@
  and matrix classes, and a set of accompanying routines. Such a kernel
  makes IT++ similar to MATLAB or GNU Octave .
 
-Package: libitpp6-dbg
+Package: libitpp7-dbg
 Section: debug
 Priority: extra
 Architecture: any
-Depends: libitpp6gf (= ${binary:Version}), ${misc:Depends}
+Depends: libitpp7 (= ${binary:Version}), ${misc:Depends}
 Description: C++ library of signal processing and communication routines: Debug symbols
  IT++ is a C++ library of mathematical, signal processing and
  communication classes and functions. Its main use is in simulation of
@@ -55,7 +53,7 @@
 Package: libitpp-doc
 Section: doc
 Architecture: all
-Recommends: dwww, www-browser
+Suggests: dwww, www-browser
 Depends: ${misc:Depends}
 Description: C++ library of signal processing and communication routines: Documentation
  IT++ is a C++ library of mathematical, signal processing and

=== debian/rules ===
--- 
+++ 
@@ -26,6 +26,9 @@
 	dh_testdir
 	./configure $(CROSS) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info CXXFLAGS="$(CXXFLAGS)" LDFLAGS="-Wl,-z,defs"
 
+build: build-arch build-indep
+build-arch: build-stamp
+build-indep: build-stamp
 build: build-stamp
 
 build-stamp: config.status
@@ -73,7 +76,7 @@
 	dh_install -a --sourcedir=debian/tmp
 	dh_installman -a
 	dh_link -a
-	dh_strip -a --dbg-package=libitpp6-dbg
+	dh_strip -a --dbg-package=libitpp7-dbg
 	dh_compress -a
 	dh_fixperms -a
 	dh_makeshlibs -a

## libitpp 4.3.1

=== debian/changelog ===
libitpp (4.3.1-9.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Sun, 03 Jan 2021 12:31:33 +0100

libitpp (4.3.1-9) unstable; urgency=medium

  * Add sse2-immediate-fix.diff to fix build errors with g++ 7.3.
  * Update Salsa Vcs URLs in debian/control.
  * Standards Version is now 4.1.1 (no changes needed)
  * dbg package is now optional instead of extra.

 -- Kumar Appaiah <akumar@debian.org>  Thu, 21 Jun 2018 21:36:18 +0530

libitpp (4.3.1-8) unstable; urgency=medium

  * Use ffloat-store on i386 to avoid accuracy based test failure. Fixed
    by Adrian Bunk (Closes: #877063)
  * Standards Version is now 4.0.0 (No changes required)

 -- Kumar Appaiah <akumar@debian.org>  Sat, 30 Sep 2017 12:34:09 +0530

libitpp (4.3.1-7) unstable; urgency=medium

  * Replace man timestamp by SOURCE_DATE_EPOCH to make the package
    build. Thanks to Eduard Sanou for the patch. (Closes: #795394)
  * Standards version is now 3.9.8 (no changes)

 -- Kumar Appaiah <akumar@debian.org>  Tue, 02 Aug 2016 21:43:35 +0530

libitpp (4.3.1-6) unstable; urgency=medium

  * debian/copyright:
    + The license is GPL-3. This is now reflected in the
    copyright. (Closes: #795153)

 -- Kumar Appaiah <akumar@debian.org>  Wed, 12 Aug 2015 14:35:31 +0530

libitpp (4.3.1-5) unstable; urgency=medium

  * Rename binary package to libitpp8v5 do handle GCC5
    transition.

 -- Kumar Appaiah <akumar@debian.org>  Thu, 06 Aug 2015 13:30:23 +0530

libitpp (4.3.1-4) experimental; urgency=medium

  * debian/patches:
    + delete-sflogo.diff: Remove the SF logo fetched from outside
    + itpp-pc-fix.diff: Correct the location of the itpp.pc file
      (Closes: #779282)
  * Standards version is now 3.9.6 (no changes needed)

 -- Kumar Appaiah <akumar@debian.org>  Sun, 01 Mar 2015 06:47:20 +0530

libitpp (4.3.1-3) unstable; urgency=low

  * Multiarch additions to debian/{control,rules} (Closes: #742238)
    + Move the library and pkgconfig files to the
      DEB_HOST_MULTIARCH directory manually.
    + Add Multi-Arch: same for the library
  * Fix SCM URIs to canonical ones

 -- Kumar Appaiah <akumar@debian.org>  Thu, 20 Mar 2014 23:48:56 -0400

libitpp (4.3.1-2) unstable; urgency=low

  * Add a patch to use memmove instead of memcpy in multilateration
    test. (Closes: #741814)
  * Standards version is now 3.9.5 (no changes needed)

 -- Kumar Appaiah <akumar@debian.org>  Sun, 16 Mar 2014 19:42:14 -0400

libitpp (4.3.1-1) unstable; urgency=low

  * New upstream release

 -- Kumar Appaiah <akumar@debian.org>  Tue, 09 Jul 2013 23:17:36 -0400

libitpp (4.3.0-3) unstable; urgency=low

  * debian/watch:
    + Add Bart Martens' updated watch file.
  * debian/patches:
    + Add itpp-config-pc.diff to install pkg-config and
      itpp-config files. (Closes: #710818)

 -- Kumar Appaiah <akumar@debian.org>  Mon, 03 Jun 2013 21:35:06 -0400

libitpp (4.3.0-2) unstable; urgency=low

  * Pass correct CPPFLAGS and CXXFLAGS to cmake
  * Separate architecture dependent and independent builds (Closes: #710338)
  * debian/patches:
      + turbo_test_fix.diff, blas_test_fix.diff, multilateration_test_fix.diff:
        Fix tests on non-amd64 architectures (Closes: #710204)
      + channel_arm_fix.diff: Don't explicitly define "Array" templates;
        these explicit template instantiations are not considered "weak"
        references on ARM architectures. (Closes: #710337)

 -- Kumar Appaiah <akumar@debian.org>  Thu, 30 May 2013 08:36:27 -0400

libitpp (4.3.0-1) unstable; urgency=low

  * New upstream release
  * Rework Debian packaging
    + Use debhelper 9
    + Standards Version is now 3.9.4
    + Use cmake for based system
    + Use jquery package for documentation
    + Update copyright file
  * Shift to Google Test based test system
  * Shift to Debian Science as the maintainer
    + Move VCS repository to the Debian Science project

 -- Kumar Appaiah <akumar@debian.org>  Sat, 25 May 2013 22:10:35 -0400

libitpp (4.2-5) unstable; urgency=low

  * Remove extraneous doxygen build dependency.

 -- Kumar Appaiah <akumar@debian.org>  Sat, 09 Jul 2011 23:14:17 -0500

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,19 @@
 Source: libitpp
 Priority: optional
-Maintainer: Kumar Appaiah <akumar@debian.org>
-Standards-Version: 3.9.2
-Build-Depends: debhelper (>= 5), doxygen (>= 1.5.1), libblas-dev, libfftw3-dev, doxygen-latex, ghostscript, liblapack-dev, gfortran
+Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Uploaders: Kumar Appaiah <akumar@debian.org>
+Standards-Version: 4.1.1
+Build-Depends: debhelper (>= 9), libblas-dev, libfftw3-dev, liblapack-dev, gfortran, libgtest-dev, cmake
+Build-Depends-Indep: doxygen-latex, ghostscript
 Section: libs
 Homepage: http://itpp.sourceforge.net
-Vcs-Git: git://git.debian.org/git/collab-maint/libitpp.git
-Vcs-Browser: http://git.debian.org/?p=collab-maint/libitpp.git
+Vcs-Git: https://salsa.debian.org/science-team/libitpp.git
+Vcs-Browser: https://salsa.debian.org/science-team/libitpp
 
 Package: libitpp-dev
 Section: libdevel
 Architecture: any
-Depends: libitpp7 (= ${binary:Version}), ${misc:Depends}
+Depends: libitpp8v5 (= ${binary:Version}), ${misc:Depends}
 Description: C++ library of signal processing and communication routines: Headers
  IT++ is a C++ library of mathematical, signal processing and
  communication classes and functions. Its main use is in simulation of
@@ -22,9 +24,13 @@
  .
  This package has the development libraries and headers for IT++.
 
-Package: libitpp7
+Package: libitpp8v5
 Section: libs
 Architecture: any
+Pre-Depends: ${misc:Pre-Depends}
+Multi-Arch: same
+Conflicts: libitpp8
+Replaces: libitpp8
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: C++ library of signal processing and communication routines
  IT++ is a C++ library of mathematical, signal processing and
@@ -34,11 +40,13 @@
  and matrix classes, and a set of accompanying routines. Such a kernel
  makes IT++ similar to MATLAB or GNU Octave .
 
-Package: libitpp7-dbg
+Package: libitpp8v5-dbg
 Section: debug
-Priority: extra
+Priority: optional
 Architecture: any
-Depends: libitpp7 (= ${binary:Version}), ${misc:Depends}
+Conflicts: libitpp8-dbg
+Replaces: libitpp8-dbg
+Depends: libitpp8v5 (= ${binary:Version}), ${misc:Depends}
 Description: C++ library of signal processing and communication routines: Debug symbols
  IT++ is a C++ library of mathematical, signal processing and
  communication classes and functions. Its main use is in simulation of
@@ -54,7 +62,7 @@
 Section: doc
 Architecture: all
 Suggests: dwww, www-browser
-Depends: ${misc:Depends}
+Depends: ${misc:Depends}, libjs-jquery
 Description: C++ library of signal processing and communication routines: Documentation
  IT++ is a C++ library of mathematical, signal processing and
  communication classes and functions. Its main use is in simulation of

=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

ifneq (,$(findstring $(DEB_HOST_ARCH), i386))
    export DEB_CFLAGS_MAINT_APPEND = -ffloat-store
    export DEB_CXXFLAGS_MAINT_APPEND = -ffloat-store
endif
DEBUG_PACKAGE = $(shell awk '/^Package/ && /-dbg *$$/ { print $$2 }' debian/control)
%:
	VERBOSE=1 dh $@ --parallel --builddirectory=build

.PHONY: override_dh_strip override_dh_auto_configure override_dh_install

override_dh_auto_configure:
	mkdir -p build
	(cd build && cmake .. -DCMAKE_CXX_FLAGS="" -DCMAKE_CXX_FLAGS_RELEASE="$(CPPFLAGS) $(CXXFLAGS)" -DCMAKE_INSTALL_PREFIX=/usr -DCMAKE_BUILD_TYPE=Release -DCMAKE_VERBOSE_MAKEFILE=ON -DGTEST_DIR=/usr/src/gtest -DHTML_DOCS=off  -DCMAKE_LIBRARY_ARCHITECTURE="$(DEB_HOST_MULTIARCH)")

override_dh_auto_build-arch:
	dh_auto_build --builddirectory=build -- itpp
	dh_auto_build --builddirectory=build -- itpp_gtests
	(cd build && gtests/itpp_gtests);

override_dh_auto_build-indep:
	(cd build && cmake .. -DHTML_DOCS=on)

# No tests needed for docs
override_dh_auto_test-indep:

override_dh_auto_install:
	dh_auto_install --builddirectory=build
	mkdir -p debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/
	mv debian/tmp/usr/lib/libitpp.so* debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/
	mkdir -p debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig
	mv debian/tmp/usr/lib/pkgconfig/* debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig/
	dh_install

override_dh_strip:
	dh_strip --dbg-package=$(DEBUG_PACKAGE)
